[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.GetEditText

GetEditText gets the Text value for the specified Field.

## Declaration

Source position: dbgrids.pas line 468

`protected function TCustomDBGrid.GetEditText(`
`aCol: LongInt;`
`aRow: LongInt`
`):string; override;`

## Arguments

`aCol` |  | Column in the grid`
`aRow` |  | Row in the grid.

## Function result

Text value displayed for the specified cell.

## Description

GetEditText is an overridden String function used to get the Text value for the Field at the specified Row and Column.

GetEditText requires that the linked dataset for the control be active to access its Field definitions. GetEditText calls the GetFieldFromGridColumn method to get the TField instance that provides the textual representation of the value for the Field. GetEditText calls the CheckDisplayMemo method to determine if a Field with the ftMemo data type displays its content or the string literal in its Text property '(Memo)'.